<html>
    <head>
        <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <style type="text/css">
    .bannercell {
      border: 0px;
      padding: 0px;
    }
    body {
      margin-left: 10;
      margin-right: 10;
      font:normal 80% arial,helvetica,sanserif;
      background-color:#FFFFFF;
      color:#000000;
    }
    .a td {
      background: #efefef;
    }
    .b td {
      background: #fff;
    }
    th, td {
      text-align: left;
      vertical-align: top;
    }
    th {
      font-weight:bold;
      background: #ccc;
      color: black;
    }
    table, th, td {
      font-size:100%;
      border: none
    }
    table.log tr td, tr th {

    }
    h2 {
      font-weight:bold;
      font-size:140%;
      margin-bottom: 5;
    }
    h3 {
      font-size:100%;
      font-weight:bold;
      background: #525D76;
      color: white;
      text-decoration: none;
      padding: 5px;
      margin-right: 2px;
      margin-left: 2px;
      margin-bottom: 0;
    }
		</style>
    </head>
    <body>
        <a name="top"></a>
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
            <tr>
                <td class="bannercell" rowspan="2"></td><td class="text-align:right">
                    <h2>CheckStyle Audit</h2>
                </td>
            </tr>
            <tr>
                <td class="text-align:right">Designed for use with <a href="http://checkstyle.sourceforge.net/">CheckStyle</a> and <a href="http://jakarta.apache.org">Ant</a>.</td>
            </tr>
        </table>
        <hr size="1">
        <h3>Summary</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Files</th><th>Errors</th>
            </tr>
            <tr class="a">
                <td>7</td><td>199</td>
            </tr>
        </table>
        <hr size="1" width="100%" align="left">
        <h3>Files</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Name</th><th>Errors</th>
            </tr>
            <tr class="a">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java</a></td><td>72</td>
            </tr>
            <tr class="b">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java</a></td><td>57</td>
            </tr>
            <tr class="a">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockUserRepository.java">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockUserRepository.java</a></td><td>33</td>
            </tr>
            <tr class="b">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockProductRepository.java">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockProductRepository.java</a></td><td>30</td>
            </tr>
            <tr class="a">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\QualitelogicieltpApplicationTests.java">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\QualitelogicieltpApplicationTests.java</a></td><td>3</td>
            </tr>
            <tr class="b">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\package-info.java">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\package-info.java</a></td><td>2</td>
            </tr>
            <tr class="a">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\package-info.java">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\package-info.java</a></td><td>2</td>
            </tr>
        </table>
        <hr size="1" width="100%" align="left">
        <a name="f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\QualitelogicieltpApplicationTests.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\QualitelogicieltpApplicationTests.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Le fichier package-info.java est manquant.</td><td>1</td>
            </tr>
            <tr class="b">
                <td>Import inutilis&eacute; - org.springframework.context.annotation.PropertySource.</td><td>5</td>
            </tr>
            <tr class="a">
                <td>Le fichier contient des caract&egrave;res de tabulation (ce n'est que la premi&egrave;re occurence).</td><td>10</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockProductRepository.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockProductRepository.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>17</td>
            </tr>
            <tr class="b">
                <td>Le fichier contient des caract&egrave;res de tabulation (ce n'est que la premi&egrave;re occurence).</td><td>17</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>18</td>
            </tr>
            <tr class="b">
                <td>La variable 'repository' devrait &ecirc;tre priv&eacute;e et avoir des accesseurs.</td><td>18</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>19</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>20</td>
            </tr>
            <tr class="a">
                <td>La variable 'count' devrait &ecirc;tre priv&eacute;e et avoir des accesseurs.</td><td>20</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>22</td>
            </tr>
            <tr class="a">
                <td>La variable 'entity' devrait &ecirc;tre priv&eacute;e et avoir des accesseurs.</td><td>22</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>24</td>
            </tr>
            <tr class="a">
                <td>La variable 'resultEntity' devrait &ecirc;tre priv&eacute;e et avoir des accesseurs.</td><td>24</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>26</td>
            </tr>
            <tr class="a">
                <td>La variable 'resultOptional' devrait &ecirc;tre priv&eacute;e et avoir des accesseurs.</td><td>26</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>28</td>
            </tr>
            <tr class="a">
                <td>Il y a une espace de trop avant '('.</td><td>28</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre repository devrait &ecirc;tre final.</td><td>28</td>
            </tr>
            <tr class="a">
                <td>'repository' masque un attribut.</td><td>28</td>
            </tr>
            <tr class="b">
                <td>Il manque une espace apr&egrave;s 'conversion de type'.</td><td>34</td>
            </tr>
            <tr class="a">
                <td>'45' devrait &ecirc;tre d&eacute;fini comme une constante.</td><td>34</td>
            </tr>
            <tr class="b">
                <td>Classe 'MockProductRepository' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'intialize' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>37</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>37</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 107).</td><td>48</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 84).</td><td>50</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>52</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 81).</td><td>53</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre invocation devrait &ecirc;tre final.</td><td>55</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 105).</td><td>60</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 83).</td><td>63</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre invocation devrait &ecirc;tre final.</td><td>63</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>70</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockUserRepository.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockUserRepository.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>17</td>
            </tr>
            <tr class="b">
                <td>Le fichier contient des caract&egrave;res de tabulation (ce n'est que la premi&egrave;re occurence).</td><td>17</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>18</td>
            </tr>
            <tr class="b">
                <td>La variable 'repository' devrait &ecirc;tre priv&eacute;e et avoir des accesseurs.</td><td>18</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>19</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>20</td>
            </tr>
            <tr class="a">
                <td>La variable 'count' devrait &ecirc;tre priv&eacute;e et avoir des accesseurs.</td><td>20</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>22</td>
            </tr>
            <tr class="a">
                <td>La variable 'entity' devrait &ecirc;tre priv&eacute;e et avoir des accesseurs.</td><td>22</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>24</td>
            </tr>
            <tr class="a">
                <td>La variable 'resultEntity' devrait &ecirc;tre priv&eacute;e et avoir des accesseurs.</td><td>24</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>26</td>
            </tr>
            <tr class="a">
                <td>La variable 'resultOptional' devrait &ecirc;tre priv&eacute;e et avoir des accesseurs.</td><td>26</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>28</td>
            </tr>
            <tr class="a">
                <td>Il y a une espace de trop avant '('.</td><td>28</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre repository devrait &ecirc;tre final.</td><td>28</td>
            </tr>
            <tr class="a">
                <td>'repository' masque un attribut.</td><td>28</td>
            </tr>
            <tr class="b">
                <td>Classe 'MockUserRepository' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'intialize' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>37</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>37</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 107).</td><td>48</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 84).</td><td>50</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 84).</td><td>51</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>51</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>52</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 81).</td><td>53</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre invocation devrait &ecirc;tre final.</td><td>55</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>59</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 102).</td><td>60</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 88).</td><td>63</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre invocation devrait &ecirc;tre final.</td><td>63</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>70</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>75</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>77</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\package-info.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\package-info.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>1</td>
            </tr>
            <tr class="b">
                <td>Il manque un caract&egrave;re NewLine &agrave; la fin du fichier.</td><td>1</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>L'utilisation des import.* est prohib&eacute; - org.junit.jupiter.api.Assertions.*.</td><td>3</td>
            </tr>
            <tr class="b">
                <td>Import inutilis&eacute; - org.junit.runner.RunWith.</td><td>10</td>
            </tr>
            <tr class="a">
                <td>Import inutilis&eacute; - org.springframework.boot.autoconfigure.domain.EntityScan.</td><td>12</td>
            </tr>
            <tr class="b">
                <td>Import inutilis&eacute; - org.springframework.boot.test.autoconfigure.jdbc.AutoConfigureTestDatabase.</td><td>13</td>
            </tr>
            <tr class="a">
                <td>Import inutilis&eacute; - org.springframework.boot.test.autoconfigure.jdbc.AutoConfigureTestDatabase.Replace.</td><td>14</td>
            </tr>
            <tr class="b">
                <td>Import inutilis&eacute; - org.springframework.boot.test.autoconfigure.orm.jpa.DataJpaTest.</td><td>15</td>
            </tr>
            <tr class="a">
                <td>Import inutilis&eacute; - org.springframework.context.annotation.ComponentScan.</td><td>18</td>
            </tr>
            <tr class="b">
                <td>Import inutilis&eacute; - org.springframework.test.context.junit4.SpringRunner.</td><td>21</td>
            </tr>
            <tr class="a">
                <td>Import inutilis&eacute; - fr.mds.qualitelogicieltp.entities.User.</td><td>25</td>
            </tr>
            <tr class="b">
                <td>Import inutilis&eacute; - fr.mds.qualitelogicieltp.mock.repositories.MockUserRepository.</td><td>27</td>
            </tr>
            <tr class="a">
                <td>Le fichier contient des caract&egrave;res de tabulation (ce n'est que la premi&egrave;re occurence).</td><td>37</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>37</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>39</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>40</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>42</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>43</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>45</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>46</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>47</td>
            </tr>
            <tr class="b">
                <td>Classe 'ProductServiceTest' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'setUp' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>48</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>48</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 99).</td><td>50</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>54</td>
            </tr>
            <tr class="b">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>55</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 98).</td><td>56</td>
            </tr>
            <tr class="b">
                <td>Le nom 'TestSaveOneProduct' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>59</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>63</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>66</td>
            </tr>
            <tr class="a">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>67</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 93).</td><td>68</td>
            </tr>
            <tr class="a">
                <td>Le nom 'TestSaveOneProduct2' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>71</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>74</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>77</td>
            </tr>
            <tr class="b">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>78</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 96).</td><td>79</td>
            </tr>
            <tr class="b">
                <td>Le nom 'TestSaveOneProduct3' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>82</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 90).</td><td>84</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 89).</td><td>87</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>88</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>91</td>
            </tr>
            <tr class="a">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>92</td>
            </tr>
            <tr class="b">
                <td>Le nom 'TestGetOneProduct' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>96</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 82).</td><td>97</td>
            </tr>
            <tr class="b">
                <td>Il manque une espace apr&egrave;s 'conversion de type'.</td><td>97</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>99</td>
            </tr>
            <tr class="b">
                <td>'45F' devrait &ecirc;tre d&eacute;fini comme une constante.</td><td>99</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>101</td>
            </tr>
            <tr class="b">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>102</td>
            </tr>
            <tr class="a">
                <td>Le nom 'TestGetListProduct' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>106</td>
            </tr>
            <tr class="b">
                <td>Il manque une espace apr&egrave;s 'conversion de type'.</td><td>108</td>
            </tr>
            <tr class="a">
                <td>'8' devrait &ecirc;tre d&eacute;fini comme une constante.</td><td>108</td>
            </tr>
            <tr class="b">
                <td>'3' devrait &ecirc;tre d&eacute;fini comme une constante.</td><td>109</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>110</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>112</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>114</td>
            </tr>
            <tr class="b">
                <td>Il manque une espace apr&egrave;s 'conversion de type'.</td><td>116</td>
            </tr>
            <tr class="a">
                <td>'8' devrait &ecirc;tre d&eacute;fini comme une constante.</td><td>116</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>117</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>119</td>
            </tr>
            <tr class="b">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>120</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 93).</td><td>121</td>
            </tr>
            <tr class="b">
                <td>Le nom 'TestDeleteOneProduct' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>124</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>132</td>
            </tr>
            <tr class="b">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>133</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>137</td>
            </tr>
            <tr class="b">
                <td>Le nom 'TestDeleteOneProduct2' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>137</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>142</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>144</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 82).</td><td>145</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>145</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre product1 devrait &ecirc;tre final.</td><td>145</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre product2 devrait &ecirc;tre final.</td><td>145</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>L'utilisation des import.* est prohib&eacute; - org.junit.jupiter.api.Assertions.*.</td><td>3</td>
            </tr>
            <tr class="b">
                <td>Le fichier contient des caract&egrave;res de tabulation (ce n'est que la premi&egrave;re occurence).</td><td>28</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>28</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>30</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>31</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>33</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>34</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>36</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>37</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>38</td>
            </tr>
            <tr class="a">
                <td>Classe 'UserServiceTest' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'setUp' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>39</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>39</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 90).</td><td>41</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>45</td>
            </tr>
            <tr class="a">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>46</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 98).</td><td>47</td>
            </tr>
            <tr class="a">
                <td>Le nom 'TestSaveOneUser' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>50</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>54</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>57</td>
            </tr>
            <tr class="b">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>58</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 93).</td><td>59</td>
            </tr>
            <tr class="b">
                <td>Le nom 'TestSaveOneUser2' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>62</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>65</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>68</td>
            </tr>
            <tr class="a">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>69</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 96).</td><td>70</td>
            </tr>
            <tr class="a">
                <td>Le nom 'TestSaveOneUser3' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>73</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 81).</td><td>75</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>79</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>82</td>
            </tr>
            <tr class="a">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>83</td>
            </tr>
            <tr class="b">
                <td>Le nom 'TestGetOneUser' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>87</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 81).</td><td>88</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 88).</td><td>90</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>90</td>
            </tr>
            <tr class="b">
                <td>Il manque une espace apr&egrave;s 'conversion de type'.</td><td>90</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>92</td>
            </tr>
            <tr class="b">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>93</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>97</td>
            </tr>
            <tr class="b">
                <td>Le nom 'TestGetListUser' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>97</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>102</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>104</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 89).</td><td>105</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>107</td>
            </tr>
            <tr class="a">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>108</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 93).</td><td>109</td>
            </tr>
            <tr class="a">
                <td>Le nom 'TestDeleteOneUser' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>112</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>120</td>
            </tr>
            <tr class="a">
                <td>La premi&egrave;re ligne de la Javadoc doit se terminer avec un point.</td><td>121</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>125</td>
            </tr>
            <tr class="a">
                <td>Le nom 'TestDeleteOneUser2' n'est pas conforme &agrave; l'expression '^[a-z][a-zA-Z0-9]*$'.</td><td>125</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>130</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>132</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>133</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>134</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre user1 devrait &ecirc;tre final.</td><td>134</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre user2 devrait &ecirc;tre final.</td><td>134</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\package-info.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\package-info.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>1</td>
            </tr>
            <tr class="b">
                <td>Il manque un caract&egrave;re NewLine &agrave; la fin du fichier.</td><td>1</td>
            </tr>
        </table>
        <a href="#top">Back to top</a>
        <hr size="1" width="100%" align="left">
    </body>
</html>
